Re: Required Microsoft "Platform SDK" version ?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Required Microsoft "Platform SDK" version ?

bns_robson (Bugzilla)
I posted this on the 24th Feb in mozilla.dev.apps.mozilla-suite
as I haven't received any replies I'm trying again in mozilla.dev.builds

Bruce Robson wrote:

> I want to build a Mozilla 1.7 suite on Microsoft Windows 2000.
>
> I have found the build instructions
> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites_on_the_1.7_and_1.8_Branches 
>
>
> I have downloaded the "Microsoft Visual C++ Toolkit 2003" from
> http://msdn.microsoft.com/visualc/vctoolkit2003/
>
> According to the build instructions this contains VC7.1 and can be used
> for the build. However, I will need at least part of the "Platform SDK".
> The build instructions don't say what version of the "Platform SDK" is
> required.
>
> I have the Feb 2003 version (downloaded in 2003). Can this version be used?
> n.b. The build instructions say "You must install the "Windows Core SDK"
> (Tools, Build Environment, and Redistributable Components) and the "Web
> Workshop SDK" (Build Environment).". The Feb 2003 version doesn't
> contain a "Web Workshop SDK". It does contain an "Internet Development
> SDK". Is this an earlier name for the same thing?
>
> I have found the April 2005 version on Microsoft's web site as "Windows®
> Server 2003 SP1 Platform SDK Web Install".
> http://www.microsoft.com/downloads/details.aspx?familyid=A55B6B43-E24F-4EA3-A93E-40C0EC4F68E5&displaylang=en 
>
> I could download this version (it will take a long time over my dial-up
> connection) if this version can be used. Is this version suitable?
>
> Do you know of any other versions currently available?
>
> Bruce Robson
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds
Reply | Threaded
Open this post in threaded view
|

Re: Required Microsoft "Platform SDK" version ?

bns_robson (Bugzilla)
Bruce Robson wrote:

> I posted this on the 24th Feb in mozilla.dev.apps.mozilla-suite
> as I haven't received any replies I'm trying again in mozilla.dev.builds
>
> Bruce Robson wrote:
>> I want to build a Mozilla 1.7 suite on Microsoft Windows 2000.
>>
>> I have found the build instructions
>> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites_on_the_1.7_and_1.8_Branches 
>>
>>
>> I have downloaded the "Microsoft Visual C++ Toolkit 2003" from
>> http://msdn.microsoft.com/visualc/vctoolkit2003/
>>
>> According to the build instructions this contains VC7.1 and can be
>> used for the build. However, I will need at least part of the
>> "Platform SDK". The build instructions don't say what version of the
>> "Platform SDK" is required.
>>
>> I have the Feb 2003 version (downloaded in 2003). Can this version be
>> used?
>> n.b. The build instructions say "You must install the "Windows Core
>> SDK" (Tools, Build Environment, and Redistributable Components) and
>> the "Web Workshop SDK" (Build Environment).". The Feb 2003 version
>> doesn't contain a "Web Workshop SDK". It does contain an "Internet
>> Development SDK". Is this an earlier name for the same thing?
>>
>> I have found the April 2005 version on Microsoft's web site as
>> "Windows® Server 2003 SP1 Platform SDK Web Install".
>> http://www.microsoft.com/downloads/details.aspx?familyid=A55B6B43-E24F-4EA3-A93E-40C0EC4F68E5&displaylang=en 
>>
>> I could download this version (it will take a long time over my
>> dial-up connection) if this version can be used. Is this version
>> suitable?
>>
>> Do you know of any other versions currently available?
>>
>> Bruce Robson

I've now found that the Feb 2003 version of the Platform SDK is still
available at
http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdk-full.htm
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds
Reply | Threaded
Open this post in threaded view
|

Re: Required Microsoft "Platform SDK" version ?

bns_robson (Bugzilla)
In reply to this post by bns_robson (Bugzilla)
Bruce Robson wrote:

> I posted this on the 24th Feb in mozilla.dev.apps.mozilla-suite
> as I haven't received any replies I'm trying again in mozilla.dev.builds
>
> Bruce Robson wrote:
>> I want to build a Mozilla 1.7 suite on Microsoft Windows 2000.
>>
>> I have found the build instructions
>> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites_on_the_1.7_and_1.8_Branches 
>>
>>
>> I have downloaded the "Microsoft Visual C++ Toolkit 2003" from
>> http://msdn.microsoft.com/visualc/vctoolkit2003/
>>
>> According to the build instructions this contains VC7.1 and can be
>> used for the build. However, I will need at least part of the
>> "Platform SDK". The build instructions don't say what version of the
>> "Platform SDK" is required.
>>
>> I have the Feb 2003 version (downloaded in 2003). Can this version be
>> used?
>> n.b. The build instructions say "You must install the "Windows Core
>> SDK" (Tools, Build Environment, and Redistributable Components) and
>> the "Web Workshop SDK" (Build Environment).". The Feb 2003 version
>> doesn't contain a "Web Workshop SDK". It does contain an "Internet
>> Development SDK". Is this an earlier name for the same thing?
>>
>> I have found the April 2005 version on Microsoft's web site as
>> "Windows® Server 2003 SP1 Platform SDK Web Install".
>> http://www.microsoft.com/downloads/details.aspx?familyid=A55B6B43-E24F-4EA3-A93E-40C0EC4F68E5&displaylang=en 
>>
>> I could download this version (it will take a long time over my
>> dial-up connection) if this version can be used. Is this version
>> suitable?
>>
>> Do you know of any other versions currently available?
>>
>> Bruce Robson

I have built Mozilla 1.7 using the Feb 2003 version of the Platform SDK.
This is available at
http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdk-full.htm

I am now trying to build using the March 2006 version available at
http://www.microsoft.com/downloads/details.aspx?FamilyId=484269E2-3B89-47E3-8EB7-1F2BE6D7123A&displaylang=en

I have hit the problem described in bugzilla bug 298260 "Support midl.exe with
version == 6.00.0366 (included in latest MS Platform SDK)". The fix for this has
not been made to the Mozilla 1.7 branch.
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds